this.name           = "SIRF_populator";
this.author         = "Dybal, based on the concept of Tinker";
this.description    = "SIRF populator";
this.version        = "1.01";
this.copyright      = "Creative Commons: attribution, non-commercial, sharealike";
this.licence   		= "CC BY-NC-SA 4.0";
"use strict";

this.systemWillPopulate = function () {
    if (system.isInterstellarSpace || system.sun.isGoingNova || system.sun.hasGoneNova || 
        system.government < 3 || system.techLevel < 7 || system.techLevel > 13 || 
        system.countShipsWithRole("SIRF-YARD") > 0)
        return;

    var pos = system.mainPlanet.position.multiply(-1.5);

    system.setPopulator("SIRF", {
        callback: function(pos) {
                let a = system.addShips("SIRF-YARD", 1, pos, 0)[0];
                var i = Math.max((a.entityPersonality&7),1),p;
                while (i--) {
                    p = Vector3D.random(22000);
                    if (i>>1) system.addShips("trader", 1, a.position.add(p), 500);
                    if ((i&2)>>1) system.addShips("pirate", 1, a.position.add(p), 500);
                    if ((i&1)===1) system.addShips("police", 1, a.position.add(p), 500);
                }
            }.bind(this),
        location: "COORDINATES",
        coordinates: pos,
        deterministic: true
    });
}
